Subscribe app to WABA webhook events
POST
/v1/waba/subscribe-webhookAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredRequest body
requiredapplication/jsonphone_number_idstringrequiredPhone number ID from Meta
min length 1
progress_idstringrequiredIntegration progress ID
min length 1
waba_idstringrequiredWABA ID from Meta
min length 1
Responses
200OK
channel_idstring | nullrequiredcompleted_stepsanyrequiredcreated_atstringrequiredcurrent_stepstringrequirederrorstring | nullrequiredidstringrequiredorganization_idstringrequiredphone_number_idstring | nullrequiredstep_statusstringrequiredupdated_atstringrequiredwaba_idstring | nullrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/waba/subscribe-webhook" \
-H "Content-Type: application/json" \
-d '{
"phone_number_id": "string",
"progress_id": "string",
"waba_id": "string"
}'const response = await fetch("/v1/waba/subscribe-webhook", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"phone_number_id": "string",
"progress_id": "string",
"waba_id": "string"
})
});import requests
response = requests.post(
"/v1/waba/subscribe-webhook",
headers={
"Content-Type": "application/json"
},
json={
"phone_number_id": "string",
"progress_id": "string",
"waba_id": "string"
},
)Response
{
"channel_id": "string",
"completed_steps": "string",
"created_at": "string",
"current_step": "string",
"error": "string",
"id": "string",
"organization_id": "string",
"phone_number_id": "string",
"step_status": "string",
"updated_at": "string",
"waba_id": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}